summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2012-08-21 22:51:16 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-21 23:09:14 -0500
commitc2da42235c5368799fdc78d7cfaf74ca54f130ed (patch)
tree839c7a2b4e76270ebb9698a823c2c35ad83f34d6 /multimedia
parentbfc058daac203304534880d2d1cf7ddb15bfac26 (diff)
downloadslackbuilds-c2da42235c5368799fdc78d7cfaf74ca54f130ed.tar.gz
slackbuilds-c2da42235c5368799fdc78d7cfaf74ca54f130ed.tar.xz
multimedia/musique: Added (renamed from minitunes)
This also updated to version 1.1. Signed-off-by: Binh Nguyen <binhnguyen@fastmail.fm> Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/musique/README2
-rw-r--r--multimedia/musique/doinst.sh9
-rw-r--r--multimedia/musique/musique.SlackBuild90
-rw-r--r--multimedia/musique/musique.info10
-rw-r--r--multimedia/musique/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/multimedia/musique/README b/multimedia/musique/README
new file mode 100644
index 0000000000..6367800611
--- /dev/null
+++ b/multimedia/musique/README
@@ -0,0 +1,2 @@
+Musique is just another music player, only better. Musique unclutters
+your music listening experience with a clean and innovative interface.
diff --git a/multimedia/musique/doinst.sh b/multimedia/musique/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/multimedia/musique/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/musique/musique.SlackBuild b/multimedia/musique/musique.SlackBuild
new file mode 100644
index 0000000000..656a5a5a0a
--- /dev/null
+++ b/multimedia/musique/musique.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for musique
+
+# Copyright 2010, 2012 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=musique
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Quick fix to build against gcc-4.7.x.
+# Borrowed from AUR.
+sed -i '1i #include <unistd.h>' src/qtsingleapplication/qtlocalpeer.cpp
+
+qmake PREFIX=/usr
+
+make
+make INSTALL_ROOT=$PKG install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL LICENSE.LGPL TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/musique/musique.info b/multimedia/musique/musique.info
new file mode 100644
index 0000000000..95a71f8015
--- /dev/null
+++ b/multimedia/musique/musique.info
@@ -0,0 +1,10 @@
+PRGNAM="musique"
+VERSION="1.1"
+HOMEPAGE="http://flavio.tordini.org/musique"
+DOWNLOAD="http://flavio.tordini.org/files/musique/musique-1.1.tar.gz"
+MD5SUM="cca6cdfb5099ccc82b943b034fa2e5ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gst-plugins-bad gst-plugins-ugly"
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
diff --git a/multimedia/musique/slack-desc b/multimedia/musique/slack-desc
new file mode 100644
index 0000000000..9e1cce6e40
--- /dev/null
+++ b/multimedia/musique/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+musique: musique (cross-platform music player)
+musique:
+musique: Musique is just another music player, only better. Musique
+musique: unclutters your music listening experience with a clean and
+musique: innovative interface.
+musique:
+musique: Homepage: http://flavio.tordini.org/musique
+musique:
+musique:
+musique:
+musique: